# CoCreate-authenticate

A convenient chain handler allows user to chain multiple CoCreate components together. When one authenticate is complete next one will start. The sequence goes untill all authenticates completed. Grounded on Vanilla javascript, easily configured using HTML5 data-attributes and/or JavaScript API. Take it for a spin in our [playground!](https://cocreate.app/docs/authenticate)

![GitHub latest release](https://img.shields.io/github/v/release/CoCreate-app/CoCreate-authenticate?style=flat-square)
![GitHub contributors](https://img.shields.io/github/contributors/CoCreate-app/CoCreate-authenticate?style=flat-square)
![License](https://img.shields.io/static/v1?style=flat-square&label=license&message=SSPL&color=green)
![Hiring](https://img.shields.io/static/v1?style=flat-square&label=&message=Hiring&color=blueviolet)

![CoCreate-authenticate](https://cdn.cocreate.app/docs/CoCreate-authenticate.gif)

## [Docs & Demo](https://cocreate.app/docs/authenticate)

For a complete guide and working demo refer to the [doumentation](https://cocreate.app/docs/authenticate)

## CDN

```html
<script src="https://cdn.cocreate.app/authenticate/latest/CoCreate-authenticate.min.js"></script>
```

```html
<script src="https://cdn.cocreate.app/authenticate/latest/CoCreate-authenticate.min.css"></script>
```

## NPM

```shell
$ npm i @cocreate/authenticate
```

# Table of Contents

-   [Table of Contents](#table-of-contents)
-   [Announcements](#announcements)
-   [Roadmap](#roadmap)
-   [How to Contribute](#how-to-contribute)
-   [About](#about)
-   [License](#license)

<a name="announcements"></a>

# Announcements

All updates to this library are documented in our [CHANGELOG](https://github.com/CoCreate-app/CoCreate-authenticate/blob/master/CHANGELOG.md) and [releases](https://github.com/CoCreate-app/CoCreate-authenticate/releases). You may also subscribe to email for releases and breaking changes.

<a name="roadmap"></a>

# Roadmap

If you are interested in the future direction of this project, please take a look at our open [issues](https://github.com/CoCreate-app/CoCreate-authenticate/issues) and [pull requests](https://github.com/CoCreate-app/CoCreate-authenticate/pulls). We would love to hear your feedback.

<a name="about"></a>

# About

CoCreate-authenticate is guided and supported by the CoCreate Developer Experience Team.

Please Email the Developer Experience Team [here](mailto:develop@cocreate.app) in case of any queries.

CoCreate-authenticate is maintained and funded by CoCreate. The names and logos for CoCreate are trademarks of CoCreate, LLC.

<a name="contribute"></a>

# How to Contribute

We encourage contribution to our libraries (you might even score some nifty swag), please see our [CONTRIBUTING](https://github.com/CoCreate-app/CoCreate-authenticate/blob/master/CONTRIBUTING.md) guide for details.

We want this library to be community-driven, and CoCreate led. We need your help to realize this goal. To help make sure we are building the right things in the right order, we ask that you create [issues](https://github.com/CoCreate-app/CoCreate-authenticate/issues) and [pull requests](https://github.com/CoCreate-app/CoCreate-authenticate/pulls) or merely upvote or comment on existing issues or pull requests.

We appreciate your continued support, thank you!

<a name="license"></a>

# Dual License

## Open Source

[Server Side Public License (SSPL)](https://github.com/CoCreate-app/CoCreate-authenticate/blob/master/LICENSE)

## Commercial

For-profit companies and individuals intending to use CoCreate-authenticate for
commercial use must purchase a commercial license. This license allows
source code modifications, but does not permit redistribution of
modifications.

The commercial license is designed for you to use CoCreate-authenticate in commercial
products and applications, without the provisions of the SSPL. With the
commercial license, your code is kept propietary, to yourself. If you
want to use CoCreate-authenticate to develop commercial sites, themes, projects, and
applications, the commercial license is the appropriate license.
